libvisio::VSDTextField Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDTextField Class Reference

`#include <VSDFieldList.h>`

Inheritance diagram for libvisio::VSDTextField:

## Public Member Functions
| VSDTextField (unsigned id, unsigned level, int nameId, int formatStringId)
| ~VSDTextField ()
void | handle (VSDCollector *collector) const
VSDFieldListElement * | clone ()
librevenge::RVNGString | getString (const std::map< unsigned, librevenge::RVNGString > &strVec)
void | setNameId (int nameId)
void | setFormat (unsigned short)
void | setValue (double)
Public Member Functions inherited from libvisio::VSDFieldListElement
| VSDFieldListElement ()
virtual | ~VSDFieldListElement ()

## Private Attributes
unsigned | m_id
unsigned | m_level
int | m_nameId
int | m_formatStringId

## Constructor & Destructor Documentation

libvisio::VSDTextField::VSDTextField | ( | unsigned | id,
|  | unsigned | level,
|  | int | nameId,
|  | int | formatStringId
| ) |  |
| inline

Referenced by clone().

libvisio::VSDTextField::~VSDTextField | ( |  | ) |
| inline

## Member Function Documentation

libvisio::VSDFieldListElement * libvisio::VSDTextField::clone | ( |  | ) |
| virtual

Implements libvisio::VSDFieldListElement.

librevenge::RVNGString libvisio::VSDTextField::getString | ( | const std::map< unsigned, librevenge::RVNGString > & | strVec | ) |
| virtual

Implements libvisio::VSDFieldListElement.

Referenced by libvisio::VSDContentCollector::collectTextField().

void libvisio::VSDTextField::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDFieldListElement.

void libvisio::VSDTextField::setFormat | ( | unsigned short |  | ) |
| inlinevirtual

Implements libvisio::VSDFieldListElement.

void libvisio::VSDTextField::setNameId | ( | int | nameId | ) |
| virtual

Implements libvisio::VSDFieldListElement.

void libvisio::VSDTextField::setValue | ( | double |  | ) |
| inlinevirtual

Implements libvisio::VSDFieldListElement.

## Member Data Documentation

int libvisio::VSDTextField::m_formatStringId
| private

Referenced by clone(), libvisio::VSDNumericField::clone(), handle(), and libvisio::VSDNumericField::handle().

unsigned libvisio::VSDTextField::m_id
| private

Referenced by clone(), libvisio::VSDNumericField::clone(), handle(), and libvisio::VSDNumericField::handle().

unsigned libvisio::VSDTextField::m_level
| private

Referenced by clone(), libvisio::VSDNumericField::clone(), handle(), and libvisio::VSDNumericField::handle().

int libvisio::VSDTextField::m_nameId
| private

Referenced by clone(), getString(), handle(), and setNameId().

The documentation for this class was generated from the following files:

- VSDFieldList.h
- VSDFieldList.cpp